<?php
namespace App\Sabre\StructureParser\Structures\Reissue;

class Remarks extends \App\Sabre\StructureParser\Structures\Base\Remarks
{
	/**
	 * (non-PHPdoc)
	 * @see \App\Sabre\StructureParser\Structures\Base\Base::_getData()
	 */
	protected function _getData()
	{
		list($parsedStructure, $transactionType, $transactionIndexes, $internalAssociations) = $this->getTransactionDetails();
		$item = new \App\Sabre\StructureParser\Types\Remarks();
		$item = $this->base_getData($item, $parsedStructure, $transactionType, $transactionIndexes, $internalAssociations);
		return $item;
	}
}
